# Class JTable.AccessibleJTable.AccessibleJTableModelChange

java.lang.Object
javax.swing.JTable.AccessibleJTable.AccessibleJTableModelChange

All Implemented Interfaces:
  `AccessibleTableModelChange`

Enclosing class:
  `JTable.AccessibleJTable`

protected class JTable.AccessibleJTable.AccessibleJTableModelChange extends Object implements AccessibleTableModelChange
Describes a change in the accessible table model.

Since:
  1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`firstColumn`
The first column
`protected int`
`firstRow`
The first row
`protected int`
`lastColumn`
The last column
`protected int`
`lastRow`
The last row
`protected int`
`type`
The type

### Fields declared in interface AccessibleTableModelChange

`DELETE, INSERT, UPDATE`
Modifier and Type
Field
Description
`static final int`
`DELETE`
Identifies the deletion of rows and/or columns.
`static final int`
`INSERT`
Identifies the insertion of new rows and/or columns.
`static final int`
`UPDATE`
Identifies a change to existing data.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleJTableModelChange(int type, int firstRow, int lastRow, int firstColumn, int lastColumn)`
Constructs an `AccessibleJTableModelChange`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getFirstColumn()`
Returns the first column.
`int`
`getFirstRow()`
Returns the first row.
`int`
`getLastColumn()`
Returns the last column.
`int`
`getLastRow()`
Returns the last row.
`int`
`getType()`
Returns the type.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### type

protected int type
The type

### firstRow

protected int firstRow
The first row

### lastRow

protected int lastRow
The last row

### firstColumn

protected int firstColumn
The first column

### lastColumn

protected int lastColumn
The last column

## Constructor Details

### AccessibleJTableModelChange

protected AccessibleJTableModelChange(int type, int firstRow, int lastRow, int firstColumn, int lastColumn)
Constructs an `AccessibleJTableModelChange`.

Parameters:
  `type` - the type
  `firstRow` - the first row
  `lastRow` - the last row
  `firstColumn` - the first column
  `lastColumn` - the last column

## Method Details

### getType

public int getType()
Returns the type.

Specified by:
  `getType` in interface `AccessibleTableModelChange`
Returns:
  the type
See Also:
  - `AccessibleTableModelChange.INSERT`
  - `AccessibleTableModelChange.UPDATE`
  - `AccessibleTableModelChange.DELETE`

### getFirstRow

public int getFirstRow()
Returns the first row.

Specified by:
  `getFirstRow` in interface `AccessibleTableModelChange`
Returns:
  the first row

### getLastRow

public int getLastRow()
Returns the last row.

Specified by:
  `getLastRow` in interface `AccessibleTableModelChange`
Returns:
  the last row

### getFirstColumn

public int getFirstColumn()
Returns the first column.

Specified by:
  `getFirstColumn` in interface `AccessibleTableModelChange`
Returns:
  the first column

### getLastColumn

public int getLastColumn()
Returns the last column.

Specified by:
  `getLastColumn` in interface `AccessibleTableModelChange`
Returns:
  the last column